View Issue Details

IDProjectCategoryView StatusLast Update
0000493bareos-core[All Projects] webuipublic2017-06-08 16:31
Reportermaster_volkovAssigned To 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version6
Product Version 
Fixed in Version 
Summary0000493: On Restore form unable select jobid, client and fileset
DescriptionOn current 'experimental/nightly/CentOS_6' ( as master 'fa91388fee').

When i try restore on "Restore form" all combobox is empty.

Is it my improper installation or I missed something, but (in my case) when i apply my patch from attach - all combobox have proper content.

Steps To ReproduceI install stable version bareos='release/14.2' and webui=bareos-webui-14.2.1.

Update they to 'experimental/nightly'
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

master_volkov

master_volkov

2015-07-08 11:02

reporter  

fix_restore_form_empty.patch (959 bytes)
--- module/Restore/src/Restore/Form/RestoreForm.php_old	2015-07-08 11:53:58.428290178 +0300
+++ module/Restore/src/Restore/Form/RestoreForm.php	2015-07-08 11:54:53.088213122 +0300
@@ -222,7 +222,7 @@
 		$selectData = array();
 		if(!empty($this->jobs)) {
 			foreach($this->jobs as $job) {
-				$selectData[$job['jobid']] = $job['jobid'];
+				$selectData[$job['JobId']] = $job['JobId'];
 			}
 		}
 		return $selectData;
@@ -236,7 +236,7 @@
 		$selectData = array();
 		if(!empty($this->clients)) {
 			foreach($this->clients as $client) {
-				$selectData[$client['name']] = $client['name'];
+				$selectData[$client['Name']] = $client['Name'];
 			}
 		}
 		return $selectData;
@@ -250,7 +250,7 @@
 		$selectData = array();
 		if(!empty($this->filesets)) {
 			foreach($this->filesets as $fileset) {
-				$selectData[$fileset['fileset']] = $fileset['fileset'];
+				$selectData[$fileset['FileSet']] = $fileset['FileSet'];
 			}
 		}
 		return $selectData;
frank

frank

2015-07-08 11:41

manager   ~0001781

Do you have MySQL for the catalog database in use?
master_volkov

master_volkov

2015-07-08 12:25

reporter   ~0001782

Yes, i use mysql db backend
mvwieringen

mvwieringen

2015-07-27 16:20

developer   ~0001791

Fix committed to bareos master branch with changesetid 5453.

Related Changesets

bareos: master 8b033a3d

2015-07-08 16:18:33

joergs


Committer: mvwieringen

Ported: N/A

Details Diff
JSON: write all keys in lower case

Postgresql and MySQL use different cases for database tables (lower
case vs. CamelCase).
To prevent problems, the JSON output converts all keys to
lowercase.

Fixes 0000493: bareos-webui with MySQL
Affected Issues
0000493
mod - src/lib/mem_pool.c Diff File
mod - src/lib/mem_pool.h Diff File
mod - src/lib/output_formatter.c Diff File

Issue History

Date Modified Username Field Change
2015-07-08 11:02 master_volkov New Issue
2015-07-08 11:02 master_volkov Status new => assigned
2015-07-08 11:02 master_volkov Assigned To => frank
2015-07-08 11:02 master_volkov File Added: fix_restore_form_empty.patch
2015-07-08 11:41 frank Note Added: 0001781
2015-07-08 12:25 master_volkov Note Added: 0001782
2015-07-08 15:58 frank Status assigned => confirmed
2015-07-27 16:20 mvwieringen Changeset attached => bareos master 8b033a3d
2015-07-27 16:20 mvwieringen Note Added: 0001791
2015-07-27 16:20 mvwieringen Status confirmed => resolved
2015-07-27 16:20 mvwieringen Resolution open => fixed
2017-06-08 16:31 frank Status resolved => closed
2017-06-08 16:31 frank Assigned To frank =>